org.icefaces.ace.context

## Class DefaultRequestContext

- java.lang.Object
- - org.icefaces.ace.context.RequestContext
  - - org.icefaces.ace.context.DefaultRequestContext

-     public class DefaultRequestContext
      extends RequestContext

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultRequestContext()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addCallbackParam(java.lang.String name, java.lang.Object value)`
    `void` | `addPartialUpdateTarget(java.lang.String target)`
    `void` | `addPartialUpdateTargets(java.util.Collection<java.lang.String> collection)`
    `java.util.Map<java.lang.String,java.lang.Object>` | `getCallbackParams()`
    `java.util.List<java.lang.String>` | `getPartialUpdateTargets()`
    `boolean` | `isAjaxRequest()`
    `void` | `release()`

    - ### Methods inherited from class org.icefaces.ace.context.RequestContext

      `getCurrentInstance, setCurrentInstance`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultRequestContext

          public DefaultRequestContext()

  - ### Method Detail

    - #### isAjaxRequest

          public boolean isAjaxRequest()

      Specified by:
        `isAjaxRequest` in class `RequestContext`

    - #### release

          public void release()

      Specified by:
        `release` in class `RequestContext`

    - #### addCallbackParam

          public void addCallbackParam(java.lang.String name,
                                       java.lang.Object value)

      Specified by:
        `addCallbackParam` in class `RequestContext`

    - #### addPartialUpdateTarget

          public void addPartialUpdateTarget(java.lang.String target)

      Specified by:
        `addPartialUpdateTarget` in class `RequestContext`

    - #### addPartialUpdateTargets

          public void addPartialUpdateTargets(java.util.Collection<java.lang.String> collection)

      Specified by:
        `addPartialUpdateTargets` in class `RequestContext`

    - #### getCallbackParams

          public java.util.Map<java.lang.String,java.lang.Object> getCallbackParams()

      Specified by:
        `getCallbackParams` in class `RequestContext`

    - #### getPartialUpdateTargets

          public java.util.List<java.lang.String> getPartialUpdateTargets()

      Specified by:
        `getPartialUpdateTargets` in class `RequestContext`

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.